Loading...
Searching...
No Matches
pappso::FastaFileIndexerInterface Class Referenceabstract

`#include <fastafileindexer.h>`

Inheritance diagram for pappso::FastaFileIndexerInterface:

## Public Member Functions

virtual void | open ()=0
virtual void | getSequenceByIndex (FastaHandlerInterface &fasta_handler, std::size_t index)=0
virtual void | close ()=0

## Detailed Description

Definition at line 37 of file fastafileindexer.h.

## Member Function Documentation

## close()

virtual void pappso::FastaFileIndexerInterface::close | ( |  | ) |

pure virtual

Implemented in pappso::FastaFileIndexer.

## getSequenceByIndex()

virtual void pappso::FastaFileIndexerInterface::getSequenceByIndex | ( | FastaHandlerInterface & | fasta_handler,
|  | std::size_t | index )

pure virtual

Implemented in pappso::FastaFileIndexer.

## open()

virtual void pappso::FastaFileIndexerInterface::open | ( |  | ) |

pure virtual

Implemented in pappso::FastaFileIndexer.

The documentation for this class was generated from the following file:

- pappsomspp/core/fasta/fastafileindexer.h